<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_SKIPJACK_RELAYX_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_SKIPJACK_RELAYX_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aaebfa9ee1efa17e01385e912f131dbce"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#aaebfa9ee1efa17e01385e912f131dbce">ulOldWrappedXLen</a></td></tr>
<tr class="separator:aaebfa9ee1efa17e01385e912f131dbce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab66d64eff24b0fb44c976cbd06eb4813"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ab66d64eff24b0fb44c976cbd06eb4813">pOldWrappedX</a></td></tr>
<tr class="separator:ab66d64eff24b0fb44c976cbd06eb4813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22aca150dbcc8624d4baf16654e818b0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a22aca150dbcc8624d4baf16654e818b0">ulOldPasswordLen</a></td></tr>
<tr class="separator:a22aca150dbcc8624d4baf16654e818b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5768b5821839305e62ded58a4adb4c7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#aa5768b5821839305e62ded58a4adb4c7">pOldPassword</a></td></tr>
<tr class="separator:aa5768b5821839305e62ded58a4adb4c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab198fd92d80e111db8b47946178867fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ab198fd92d80e111db8b47946178867fc">ulOldPublicDataLen</a></td></tr>
<tr class="separator:ab198fd92d80e111db8b47946178867fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49f4cdf5ffabdadb1e1335242b05c150"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a49f4cdf5ffabdadb1e1335242b05c150">pOldPublicData</a></td></tr>
<tr class="separator:a49f4cdf5ffabdadb1e1335242b05c150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab59f51b5a5a26679244adcd0b3fe71e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ab59f51b5a5a26679244adcd0b3fe71e1">ulOldRandomLen</a></td></tr>
<tr class="separator:ab59f51b5a5a26679244adcd0b3fe71e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3978e19be0d7b37469e8a0533656469"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ac3978e19be0d7b37469e8a0533656469">pOldRandomA</a></td></tr>
<tr class="separator:ac3978e19be0d7b37469e8a0533656469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e424df37706c0c5dc6b6f6e4bc47902"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a8e424df37706c0c5dc6b6f6e4bc47902">ulNewPasswordLen</a></td></tr>
<tr class="separator:a8e424df37706c0c5dc6b6f6e4bc47902"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57eb4fc15619633f034118e2ebf0c049"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a57eb4fc15619633f034118e2ebf0c049">pNewPassword</a></td></tr>
<tr class="separator:a57eb4fc15619633f034118e2ebf0c049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b8260daaaf7c82eebde5d6a9619c87c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a3b8260daaaf7c82eebde5d6a9619c87c">ulNewPublicDataLen</a></td></tr>
<tr class="separator:a3b8260daaaf7c82eebde5d6a9619c87c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4213f41b59658caf27fa4f6a48a6acbe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a4213f41b59658caf27fa4f6a48a6acbe">pNewPublicData</a></td></tr>
<tr class="separator:a4213f41b59658caf27fa4f6a48a6acbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c9eb19eea6e2d16c2ef58cf7b6f3261"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a9c9eb19eea6e2d16c2ef58cf7b6f3261">ulNewRandomLen</a></td></tr>
<tr class="separator:a9c9eb19eea6e2d16c2ef58cf7b6f3261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac2f3b9bfbef00d0b000ee978c26deed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#aac2f3b9bfbef00d0b000ee978c26deed">pNewRandomA</a></td></tr>
<tr class="separator:aac2f3b9bfbef00d0b000ee978c26deed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01286">1286</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a57eb4fc15619633f034118e2ebf0c049"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57eb4fc15619633f034118e2ebf0c049">&#9670;&nbsp;</a></span>pNewPassword</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pNewPassword</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01296">1296</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a4213f41b59658caf27fa4f6a48a6acbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4213f41b59658caf27fa4f6a48a6acbe">&#9670;&nbsp;</a></span>pNewPublicData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pNewPublicData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01298">1298</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="aac2f3b9bfbef00d0b000ee978c26deed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac2f3b9bfbef00d0b000ee978c26deed">&#9670;&nbsp;</a></span>pNewRandomA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pNewRandomA</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01300">1300</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="aa5768b5821839305e62ded58a4adb4c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5768b5821839305e62ded58a4adb4c7">&#9670;&nbsp;</a></span>pOldPassword</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pOldPassword</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01290">1290</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a49f4cdf5ffabdadb1e1335242b05c150"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49f4cdf5ffabdadb1e1335242b05c150">&#9670;&nbsp;</a></span>pOldPublicData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pOldPublicData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01292">1292</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ac3978e19be0d7b37469e8a0533656469"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3978e19be0d7b37469e8a0533656469">&#9670;&nbsp;</a></span>pOldRandomA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pOldRandomA</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01294">1294</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ab66d64eff24b0fb44c976cbd06eb4813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab66d64eff24b0fb44c976cbd06eb4813">&#9670;&nbsp;</a></span>pOldWrappedX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pOldWrappedX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01288">1288</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a8e424df37706c0c5dc6b6f6e4bc47902"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e424df37706c0c5dc6b6f6e4bc47902">&#9670;&nbsp;</a></span>ulNewPasswordLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulNewPasswordLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01295">1295</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a3b8260daaaf7c82eebde5d6a9619c87c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b8260daaaf7c82eebde5d6a9619c87c">&#9670;&nbsp;</a></span>ulNewPublicDataLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulNewPublicDataLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01297">1297</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a9c9eb19eea6e2d16c2ef58cf7b6f3261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c9eb19eea6e2d16c2ef58cf7b6f3261">&#9670;&nbsp;</a></span>ulNewRandomLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulNewRandomLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01299">1299</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a22aca150dbcc8624d4baf16654e818b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22aca150dbcc8624d4baf16654e818b0">&#9670;&nbsp;</a></span>ulOldPasswordLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulOldPasswordLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01289">1289</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ab198fd92d80e111db8b47946178867fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab198fd92d80e111db8b47946178867fc">&#9670;&nbsp;</a></span>ulOldPublicDataLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulOldPublicDataLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01291">1291</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ab59f51b5a5a26679244adcd0b3fe71e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab59f51b5a5a26679244adcd0b3fe71e1">&#9670;&nbsp;</a></span>ulOldRandomLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulOldRandomLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01293">1293</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="aaebfa9ee1efa17e01385e912f131dbce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaebfa9ee1efa17e01385e912f131dbce">&#9670;&nbsp;</a></span>ulOldWrappedXLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulOldWrappedXLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01287">1287</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
